---
title: "Re-read the groups & channels list"
locale: en
url: https://tlg.builera.app/en/docs/reference/rest/groups.refresh_chats
verified: 2026-10-24
app_version: "2.0"
generated: true
---

# Re-read the groups & channels list

Read every group / channel of these accounts from Telegram again (one job per account). Chats the account left are marked left; the follow switches are kept.

Read every group / channel of these accounts from Telegram again (one job per account). Chats the account left are marked left; the follow switches are kept.

## Overview

| Name | Value |
| --- | --- |
| Code | `groups.refresh_chats` |
| Scope needed | `messages.read` |
| Risk | Write |
| May need confirmation | No |
| Runs as | Answers right away |
| Needs `Idempotency-Key` | No |
| Member roles allowed | `owner`, `manager`, `agent` |
| Needs a worker from version | `1.0.37` |
| In the app | Groups & channels → Refresh |

## Input fields

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `accountIds` | `uuid[]` | Yes |   |

## Example request

```bash
curl -X POST https://tlg.builera.app/api/public/v2/ops/groups.refresh_chats \
  -H "Authorization: Bearer $TELEGRAM_AUTO_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"accountIds":[]}'
```

## Output fields (`data`)

| Field | Type | Required |
| --- | --- | --- |
| `ok` | `true` | Yes |
| `jobs` | `object[]` | Yes |

## Example answer

```json
{
  "data": {
    "ok": true,
    "jobs": [
      {
        "accountId": "00000000-0000-4000-8000-000000000000",
        "jobId": "00000000-0000-4000-8000-000000000000"
      }
    ]
  }
}
```

## Using it over MCP

Not listed on any profile: call `tools_describe` then `tools_run` with `code: "groups.refresh_chats"`. Tool name when listed: `groups_refresh_chats`.
